Sandbox Simulations
Unit exposes the following sandbox-specific endpoints, in addition to all other endpoints. They allow you to easily test and simulate real-world events - external activity, or internal activity that may normally take a long time to occur.
Simulation operations are subject to the same authentication scheme as the Live APIs, and therefore require a valid Authentication token.
Simulating Application Statuses
By default, most applications in our sandbox will be approved immediately. Applications may be sent to manual review based on applicant information provided. Below are ways to simulate other statuses:
| Status | Description |
|---|---|
PendingReview | Individual application: set the SSN on the application to 000000004. Business application: set the SSN of the Officer or any Beneficial Owner on the application to 000000004. |
AwaitingDocuments | Individual application: set the SSN on the application to 000000002 to simulate AwaitingDocuments for Address Verification, or 000000003 to simulate AwaitingDocuments for Id Document, or 000000006 to simulate AwaitingDocuments for Social Security Card. Business application: set the SSN of the Officer on the application to 000000005. |
Denied | Individual application: set the SSN on the application to 000000001. |
Registered Agent Address
To simulate a business applications whose address matches a registered agent's address:
| Name | Type | Description |
|---|---|---|
| street | string | 13 Registered Agent st |
| city | string | New York |
| state | string | NY |
| postalCode | string | 12345 |
| country | string | US |
{
"street": "13 Registered Agent st",
"city": "New York",
"state": "NY",
"postalCode": "12345",
"country": "US"
}
Application Form 2FA
When simulating an application via an application form on Sandbox, use 000001 as your phone verification code to complete the two factor authentication challenge. Note that a verification SMS will not be sent to the phone number provided, to avoid accidental breaching of the consent to electronic communications requirements.
Approve Application
Approves an Application under PendingReview or AwaitingDocuments status. The Customer Created webhook event will be fired.
| Verb | POST |
| URL | https://api.s.unit.sh/sandbox/applications/{applicationId}/approve |
| Data Type | applicationApprove |
| Timeout (Seconds) | 5 |
curl -X POST 'https://api.s.unit.sh/sandbox/applications/10001/approve'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "applicationApprove",
"attributes": {
"reason": "sandbox"
}
}
}'
Deny Application
Denies an Application under PendingReview or AwaitingDocuments status. The Application Denied webhook event will be fired.
| Verb | POST |
| URL | https://api.s.unit.sh/sandbox/applications/{applicationId}/deny |
| Data Type | applicationDeny |
| Timeout (Seconds) | 5 |
curl -X POST 'https://api.s.unit.sh/sandbox/applications/10001/deny'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "applicationDeny",
"attributes": {
"reason": "sandbox"
}
}
}'
Approve Document
Approves an Application Document. The Document Approved webhook event will be fired.
| Verb | POST |
| URL | https://api.s.unit.sh/sandbox/applications/{applicationId}/documents/{documentId}/approve |
| Timeout (Seconds) | 5 |
curl -X POST 'https://api.s.unit.sh/sandbox/applications/10001/documents/1/approve'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{}'
Reject Document
Rejects an Application Document. The Document Rejected webhook event will be fired.
| Verb | POST |
| URL | https://api.s.unit.sh/sandbox/applications/{applicationId}/documents/{documentId}/reject |
| Data Type | documentReject |
| Timeout (Seconds) | 5 |
curl -X POST 'https://api.s.unit.sh/sandbox/applications/10001/documents/1/reject'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "documentReject",
"attributes": {
"reason": "blurry image",
"reasonCode": "PoorQuality"
}
}
}'
Download Document
Download the application document file, in order to test if the upload was successful and the file is valid.
| Verb | GET |
| URL | https://api.s.unit.sh/sandbox/applications/{applicationId}/documents/{documentId}/download |
| Timeout (Seconds) | 5 |
curl -X GET 'https://api.s.unit.sh/sandbox/applications/10001/documents/1/download' \
-H "Authorization: Bearer ${TOKEN}"
Download Document Back-Side
Download the application document back-side file, in order to test if the upload was successful and the file is valid.
| Verb | GET |
| URL | https://api.s.unit.sh/sandbox/applications/{applicationId}/documents/{documentId}/download/back |
| Timeout (Seconds) | 5 |
curl -X GET 'https://api.s.unit.sh/sandbox/applications/10001/documents/1/download/back' \
-H "Authorization: Bearer ${TOKEN}"